%define upstream_name       tag_utils
%define upstream_version    1.12

%define module  tag_utils
%define name    perl-%{module}
%define version 1.10
%define release %mkrel 12
%define _provides_exceptions XML::Parser::Expat\\|Parse::Yapp::Driver

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Conversion between various formats for Tree Adjoining Grammars
License:    GPL
Group:      Development/Perl
Url:        http://alpage.inria.fr/catalogue.en.html#tag_utils
Source:     https://gforge.inria.fr/frs/download.php/5687/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(XML::Generator)
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl(Data::Grove)
BuildRequires:  perl(AppConfig)
BuildRequires:  perl(DBI)
Buildarch:      noarch


%description
tag_utils is a set of Perl scripts to convert between various formats for Tree
Adjoining Grammars, in particular the XML TAGML format.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL LICENSE README META.yml
%{_bindir}/*
%{perl_vendorlib}/TAG*
%{_mandir}/*/*

%changelog
* Sat Jun 11 2011 spuhler <spuhler> 1.120.0-1.mga2
+ Revision: 103674
- increase rel for rebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 34528
- mageia rebuild
- imported package perl-tag_utils


* Fri Jul 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.120.0-1mdv2010.0
+ Revision: 396697
- new version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.10-11mdv2009.0
+ Revision: 258432
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.10-10mdv2009.0
+ Revision: 246498
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.10-8mdv2008.1
+ Revision: 140717
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.10-8mdv2008.0
+ Revision: 86925
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.10-7mdv2007.0
- Rebuild

* Fri Dec 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.10-6mdk
- fix name

* Fri Dec 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.10-5mdk
- spec cleanup
- %%mkrel

* Wed Dec 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10-4mdk 
- fix buildrequires in a backward compatible way

* Sun Dec 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10-3mdk 
- fix wrong provides

* Mon Nov 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10-2mdk 
- fix buildrequires

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10-1mdk 
- first mdk release

